Child pages
  • Device Manager 16.0 System Requirements
Skip to end of metadata
Go to start of metadata

The following are the minimum system requirements for Device Manager 16.0. Exceeding these requirements will in most cases lead to a performance increase. Running Device Manager on a system that does not meet these requirements is not supported.

Minimum requirements for Device Manager - Client

For the minimum requirements of the Device Manager Client Apps (i.e. Automation Engine Pilot, Automation Engine Shuttle etc),  see Automation Engine 16.0 System Requirements - Client

Minimum requirements for Device Manager - Server

Minimum System Requirements for Device Manager 16.0
Processor type and speed

x86-64 compatible dual-core processor

RAM

8 GB minimum

For more information about memory limitations in Windows® operating systems, please consult this table.

Available hard drive space

  • The installation takes up 40 GB of disk space. 
  • An NTFS volume is required.
  • Take into account the need for storage of temporary and production data.
  • A back-up solution is strongly advised
Graphics card and videoMinimum 1280 x 1024 screen resolution, true color depth.
Network connection10/100/1000 Base-T Ethernet, TCP/IP v4 protocol. TCP/IP version 6 is not supported.
Virtualization

Device Manager supports virtualization on:

  • VMware® ESX version 4, 4.1, 5, 5.1 and 5.5
  • Microsoft® Hyper-V

Hardware connections, including dongles, proofers, spectrophotometers and others may work, but are not supported. Customers should verify hardware support through their virtualization support channels.

Databases
  • SQL Server 2012 (Express Edition, Standard Edition, Business Intelligence Edition, Enterprise Edition)
  • SQL Server 2014 (Express Edition, Standard Edition, Business Intelligence Edition, Enterprise Edition)

Please make sure that the database is compatible with the operating system you intend to use

Supported Operating Systems

Recommended operating systems are highlighted in green in the tables below.

If an operating system is not listed in the tables below, it is not supported. Do not try to install Device Manager on a computer running an unsupported operating system.

Windows 10

Edition64-bit
Windows 10 Home(error)
Windows 10 Pro(tick)
Windows 10 Enterprise(tick)

Windows Server 2012 R2

Edition
64-bit
Windows Server 2012 R2 Standard(tick)
Windows Server 2012 R2 Datacenter(tick)
Windows Server 2012 R2 Essentials(error)
Windows Server 2012 R2 Foundation(error)
Windows Storage Server 2012 R2 Workgroup(error)
Windows Storage Server 2012 R2 Standard (error)

Windows Server 2012

Edition
64-bit
Windows Server 2012 Standard(tick)
Windows Server 2012 Datacenter(tick)
Windows Server 2012 Essentials(error)
Windows Server 2012 Foundation(error)
Windows Storage Server 2012 Workgroup(error)
Windows Storage Server 2012 Standard (error)

Windows Server 2008 R2

Edition64-bit
  SP1
Windows Server 2008 R2 Standard(error)(tick)
Windows Server 2008 R2 Enterprise(error)(tick)
Windows Server 2008 R2 Datacenter(error)(tick)
Windows Small Business Server 2008 R2(error)(error)
Windows Server 2008 R2 Foundation(error)(error)
Windows Web Server 2008 R2(error)(error)
Windows Server 2008 R2 HPC Edition(error)(error)


Unsupported Operating Systems

  • All 32-bit Windows Systems
  • Windows 8 and 8.1 (all editions)
  • Windows 7 (all editions)
  • Windows Vista (all editions)
  • Windows 2000 (all editions)
  • Windows XP (all editions)
  • Windows Server 2008 (all editions)
  • Windows Server 2003 (all editions)

Pre-Install IT Requirements Guide

For more information and advice, please see the chapter "Pre-Install IT Requirements Guide" in the “Automation Engine 16 Complete Manual”, which is also available as PDF via: https://www.esko.com/en/HelpDocuments?language=en-us&productname=automationengine&versionname=16&docname=userguide/PDF&filename=AE_IT_Requirements_v16.pdf

Compatibility notice

CDI

The installation of the Device Manager for CDI on the computer running Grapholas CDI is NOT supported

Kongsberg

The installation of the Device Manager for Kongsberg on the computer running iPC Kongsberg is NOT supported

System Requirements
Applies to

Device Manager

Version16.0
Last revised19-Sep-2016 
Contents